{
  "id": "d0a0682930b3b03d13d1ba13",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type ActionNode",
  "content": "# type parse.type ActionNode ¶\n\n```\ntype ActionNode struct {\n\tNodeType\n\tPos\n\n\tLine int       // The line number in the input. Deprecated: Kept for compatibility.\n\tPipe *PipeNode // The pipeline in the action.\n\t// contains filtered or unexported fields\n}\n```\n\nActionNode holds an action (something bounded by delimiters).\nControl actions have their own nodes; ActionNode represents simple\nones such as field evaluations and parenthesized pipelines.",
  "url": "https://pkg.go.dev/parse#type ActionNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type ActionNode ¶",
    "type_kind": "alias",
    "underlying": "type ActionNode struct {\n\tNodeType\n\tPos\n\n\tLine int       // The line number in the input. Deprecated: Kept for compatibility.\n\tPipe *PipeNode // The pipeline in the action.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "656afc70edffee1360fa105c5d1ffa0ae7f88fc74cf3a7527dbeac6c4c20bcb3",
  "timestamp": "2026-02-23T11:22:10.617534768+01:00"
}